curl --request POST \
--url https://flowker.sandbox.lerian.net/v1/catalog/openapi-specs/{service}/{version} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://flowker.sandbox.lerian.net/v1/catalog/openapi-specs/{service}/{version}"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://flowker.sandbox.lerian.net/v1/catalog/openapi-specs/{service}/{version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}Enviar uma versão de especificação OpenAPI
Utilize este endpoint para publicar uma versão global de especificação OpenAPI 3.x para um serviço nativo. Todos os tenants resolvem contra as versões publicadas. As versões são imutáveis: enviar uma versão que já existe retorna 409. Envie a especificação como multipart/form-data; o arquivo não deve exceder 8 MiB. Quem chama precisa da permissão de criação sobre o recurso de catálogo.
Autorizações
Token bearer JWT emitido pelo provider de identidade. Envie-o no cabeçalho Authorization como Bearer <token>.
Parâmetros de caminho
Identificador do serviço (o id do provider / segmento da chave global da spec, por exemplo ledger).
"ledger"
Versão da spec (imutável, por exemplo v1.0.0).
"v1.0.0"
Corpo
OpenAPI 3.x spec file (JSON).
Resposta
Indica que o recurso foi criado com sucesso e a operação foi concluída conforme o esperado.
Esta página foi útil?

